function foxfm_tm_amas(doc)
{
	try 
	{		
		if(doc.location.href.match("010_transfer/amas.php")) 
		{
			// get locale strings
			var localePlayer		= foxfm_getLocale_player();
			var localeNation		= foxfm_getLocale_nation();
			var localeExperience	= foxfm_getLocale_experience();
			var localeTraining		= foxfm_getLocale_training();
			var localeStrength		= foxfm_getLocale_strength();
			
			// get all tables --> tag: 'table'
			var tbl = doc.getElementsByTagName("table");
			
			// get table of the amateur --> look for player and nation
			var teamTableIndex		= findTable(tbl, localePlayer, localeNation);
			
			if(teamTableIndex >= 0)
			{
				tbl[teamTableIndex].rows[0].cells[0].colSpan = tbl[teamTableIndex].rows[0].cells[0].colSpan + 3;
				var headerRow = findRow(tbl[teamTableIndex], localePlayer, localeNation);					
				var epCol = parseInt(findColumn(tbl[teamTableIndex].rows[headerRow].cells, localeExperience));
				var tpCol = parseInt(findColumn(tbl[teamTableIndex].rows[headerRow].cells, localeTraining));
				var lvlCol = parseInt(findColumn(tbl[teamTableIndex].rows[headerRow].cells, localeStrength));
				
				// alert("calling: addCurrLvlAwpsDiffNextLvl(" + headerRow + ", " + awpCol + ", " + (awpCol+1) + ", " + (awpCol+2) + ", " + (awpCol+3) + ")");
				addCurrLvlAwpsDiffNextLvl(tbl[teamTableIndex], headerRow, null, lvlCol, epCol, tpCol, null, (-1), (-1), (-1));
				
				tbl[teamTableIndex].width = "100%";
			}
		}
	} catch (e) {
		errorMessage(e);
	}
}
